Name:           chess
Version:        1.0
Release:        37%{?dist}
Summary:        3D chess game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.steviedisco.co.uk
# This file identical to: http://www.steviedisco.co.uk/files/chess_src.zip
# except that it has the MS copyrighted tahoma.ttf file removed.
Source0:        chess_src.zip
Source1:        chess.desktop
Source2:        chess.png
Source3:        cegui-0.5-windowslook.tar.gz
Patch0:         chess-ogre12+gcc41+fixes.patch
Patch1:         chess-ogre14.patch
Patch2:         chess-ogre16.patch
Patch3:         chess-disambiguate-Vector3.patch
Patch4:         chess-ogre17.patch
Patch5:         chess-gcc46.patch
Patch6:         chess-address-of-temp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ogre-devel ois-devel cegui-devel coldet-devel boost-devel
BuildRequires:  desktop-file-utils
# This is used as Tahoma replacement
Requires:       /usr/share/fonts/dejavu/DejaVuSans.ttf, hicolor-icon-theme

%description
Beautifull 3D rendered chess game using Ogre. Notice that this needs a
powerful 3D card to be playable on a radeon 92xx or intel 9xx integrated
graphics this is not playable!


%prep
%setup -q -c -a 3
%patch0 -p1
%patch1 -p1 -z .ogre14
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .ogre17
%patch5
%patch6
sed -i 's/\r//' Readme.txt License/gpl.txt
# remove patch backup file to stop it from getting installed
rm media/gui/tahoma-12.font.ogre14
# fixup plugins.cfg on 64 bit systems
sed -i 's!/usr/lib!%{_libdir}!' plugins.cfg
# convert models to latest format
for i in media/models/*.mesh; do
  OgreMeshUpgrader $i
done


%build
make %{?_smp_mflags} PREFIX=%{_prefix} OPTFLAGS="$RPM_OPT_FLAGS -fsigned-char"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc Readme.txt License/gpl.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-37
- Rebuild for ogre 1.7.3

* Mon Apr 06 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-36
- Rebuild for boost soname bump to 1.46.1 in rawhide.

* Mon Feb 09 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-35
- Include cstddef for gcc 4.6
- Fix address of temp reference.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-33
- Rebuild for boost sonmae bump.

* Sat Jan 08 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-32
- Back to new cegui, problem needs a different fix

* Sat Jan 08 2011 Bruno Wolff III <bruno@wolff.to> - 1.2-32
- chess may need to use the old cegui interface

* Tue Dec 21 2010 Tom Callaway <spot@fedoraproject.org> - 1.2-31
- rebuild for new ogre

* Fri Jan 27 2010 Bruno Wolff III <bruno@wolff.to> - 1.2-30
- Rebuild for boost soname bump

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.2-29
- Rebuild for Boost soname bump

* Tue Nov 17 2009 Bruno Wolff III <bruno@wolff.to> - 1.2-28
- Avoid Vector3 conflict with ogre and ois 1.2

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.0-27
- Rebuild for new ogre

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hans de Goede <hdegoede@redhat.com> 1.0-25
- Rebuild for new ogre and new boost

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Petr Machata <pmachata@redhat.com> - 1.0-23
- Rebuild for new boost

* Wed Dec  3 2008 Hans de Goede <hdegoede@redhat.com> 1.0-22
- Rebuild for new cegui

* Mon Dec  1 2008 Hans de Goede <hdegoede@redhat.com> 1.0-21
- Use dejavu instead of bitstream-vera font (rh 473564)

* Fri Oct  3 2008 Alexey Torkhov <atorkhov@gmail.com> 1.0-20
- Fixing broken deps

* Fri Sep 19 2008 Alexey Torkhov <atorkhov@gmail.com> 1.0-19
- Port to OGRE 1.6

* Sun Aug 17 2008 Hans de Goede <jwrdegoede@fedoraproject.org> 1.0-18
- Rebuild for new boost

* Fri Jul 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-17
- Rebuild for new cegui

* Wed Jul  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-16
- Rebuild for new ogre

* Thu May 22 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-15
- Rebuild for new cegui

* Tue May 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-14
- Rebuild for new ogre

* Sun Mar 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-13
- Rebuild for new ogre

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-12
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-11
- Rebuild for new ogre

* Mon Oct  8 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-10
- Rebuild for new ogre

* Sat Sep 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-9
- Rebuild for new ogre

* Tue Aug 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-8
- Rebuild for buildId

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-7
- Update License tag for new Licensing Guidelines compliance
- Rebuild against new boost

* Sun Jul  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-6
- Port to Ogre 1.4.x + OIS

* Fri Feb 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-5
- Rebuild for new ogre

* Fri Oct 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Rebuild for new ogre

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- FE6 Rebuild

* Tue Aug  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Rebuild for new ogre

* Mon Jun 26 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Initial Fedora Extras package
